<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::externalMediaPlayer::test::MockExternalMediaPlayerAdapter Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html">externalMediaPlayer</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_mock_external_media_player_adapter.html">MockExternalMediaPlayerAdapter</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_mock_external_media_player_adapter-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::externalMediaPlayer::test::MockExternalMediaPlayerAdapter Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Mock class of ExternalMediaAdapterInterface.  
 <a href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_mock_external_media_player_adapter.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::capabilityAgents::externalMediaPlayer::test::MockExternalMediaPlayerAdapter:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_mock_external_07c2c6d59b019bbae0f8c5d509bcec93.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_mock_external_media_player_adapter_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_mock_external_media_player_adapter_inherit__map" id="alexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_mock_external_media_player_adapter_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::externalMedia\lPlayer::ExternalMediaAdapterInterface" alt="" coords="250,5,501,57"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html" title="alexaClientSDK::avsCommon\l::utils::RequiresShutdown" alt="" coords="5,12,202,51"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::capabilityAgents::externalMediaPlayer::test::MockExternalMediaPlayerAdapter:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_mock_external_cfa1c73bc73d81768f751932de1269ba.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_mock_external_media_player_adapter_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_mock_external_media_player_adapter_coll__map" id="alexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_mock_external_media_player_adapter_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::externalMedia\lPlayer::ExternalMediaAdapterInterface" alt="" coords="250,5,501,57"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html" title="alexaClientSDK::avsCommon\l::utils::RequiresShutdown" alt="" coords="5,12,202,51"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a81ebd8b0b6c08f10a228e86e0a80c4b7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_mock_external_media_player_adapter.html#a81ebd8b0b6c08f10a228e86e0a80c4b7">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a66df7916e28559f30233c2ff5a166293">doShutdown</a>, void())</td></tr>
<tr class="separator:a81ebd8b0b6c08f10a228e86e0a80c4b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3705e0975bf6573426c630bca1c7f5fd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_mock_external_media_player_adapter.html#a3705e0975bf6573426c630bca1c7f5fd">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#aa0d76ee728e2e5fdd21b32120e32eddd">init</a>, void())</td></tr>
<tr class="separator:a3705e0975bf6573426c630bca1c7f5fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac36c9d4e973e8b7956e5a363eaf82156"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_mock_external_media_player_adapter.html#ac36c9d4e973e8b7956e5a363eaf82156">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#ab5c7f189a8ff4dccefb77f7b7ec0579d">deInit</a>, void())</td></tr>
<tr class="separator:ac36c9d4e973e8b7956e5a363eaf82156"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15fbf9e4d13774c73dd59e302c5c16ca"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_mock_external_media_player_adapter.html#a15fbf9e4d13774c73dd59e302c5c16ca">MOCK_METHOD4</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#a69991b29867885997270b900267cab0f">handleLogin</a>, void(const std::string &amp;accessToken, const std::string &amp;userName, bool forceLogin, std::chrono::milliseconds tokenRefreshInterval))</td></tr>
<tr class="separator:a15fbf9e4d13774c73dd59e302c5c16ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a068f2b3f7ddd6d85720e5b137ce1a3c4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_mock_external_media_player_adapter.html#a068f2b3f7ddd6d85720e5b137ce1a3c4">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#a31bc7db0692da87064f614786bb8611c">handleLogout</a>, void())</td></tr>
<tr class="separator:a068f2b3f7ddd6d85720e5b137ce1a3c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a835ece139dc9448a91c53c0f77ec38d6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_mock_external_media_player_adapter.html#a835ece139dc9448a91c53c0f77ec38d6">MOCK_METHOD3</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#ae01654499b03c31abef6b4652ea482d7">handlePlay</a>, void(std::string &amp;playContextToken, int64_t index, std::chrono::milliseconds offset))</td></tr>
<tr class="separator:a835ece139dc9448a91c53c0f77ec38d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32c0b3443dd730928fc2b016c74080c6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_mock_external_media_player_adapter.html#a32c0b3443dd730928fc2b016c74080c6">MOCK_METHOD1</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#a1a054ba9797a4c9ea7f4b68d81d4eb7b">handlePlayControl</a>, void(<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfdd">RequestType</a> requestType))</td></tr>
<tr class="separator:a32c0b3443dd730928fc2b016c74080c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86cd5acc154b4b45a902f8742b4722ab"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_mock_external_media_player_adapter.html#a86cd5acc154b4b45a902f8742b4722ab">MOCK_METHOD1</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#a54a761e68258df8c8a23fa6ebe693e6f">handleSeek</a>, void(std::chrono::milliseconds offset))</td></tr>
<tr class="separator:a86cd5acc154b4b45a902f8742b4722ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57635d086bdf27de181a809d3b45d79f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_mock_external_media_player_adapter.html#a57635d086bdf27de181a809d3b45d79f">MOCK_METHOD1</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#a0f1110867023fca9c2b4526ee5935625">handleAdjustSeek</a>, void(std::chrono::milliseconds deltaOffset))</td></tr>
<tr class="separator:a57635d086bdf27de181a809d3b45d79f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a9b3f9426293264c0321d28fc294e95"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_mock_external_media_player_adapter.html#a5a9b3f9426293264c0321d28fc294e95">MOCK_METHOD1</a> (handleSetVolume, void(int8_t volume))</td></tr>
<tr class="separator:a5a9b3f9426293264c0321d28fc294e95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a301db6cbe9d31b0ff142cc227bd94fc5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_mock_external_media_player_adapter.html#a301db6cbe9d31b0ff142cc227bd94fc5">MOCK_METHOD1</a> (handleSetMute, void(bool))</td></tr>
<tr class="separator:a301db6cbe9d31b0ff142cc227bd94fc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addf10d60e17d805da5c9809845f30aa1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_mock_external_media_player_adapter.html#addf10d60e17d805da5c9809845f30aa1">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#a1ad55b4251e0742a5c68f34fbf1342f0">getState</a>, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_state.html">AdapterState</a>())</td></tr>
<tr class="separator:addf10d60e17d805da5c9809845f30aa1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::ExternalMediaAdapterInterface</a></td></tr>
<tr class="memitem:ab8bcbd506e348e225d9da14c8757e1d2 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#ab8bcbd506e348e225d9da14c8757e1d2">ExternalMediaAdapterInterface</a> (const std::string &amp;adapaterName)</td></tr>
<tr class="separator:ab8bcbd506e348e225d9da14c8757e1d2 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9c61f6c8c35e49e9d7b7875108571ac inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#ac9c61f6c8c35e49e9d7b7875108571ac">~ExternalMediaAdapterInterface</a> ()=default</td></tr>
<tr class="separator:ac9c61f6c8c35e49e9d7b7875108571ac inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0d76ee728e2e5fdd21b32120e32eddd inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#aa0d76ee728e2e5fdd21b32120e32eddd">init</a> ()=0</td></tr>
<tr class="memdesc:aa0d76ee728e2e5fdd21b32120e32eddd inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method to initialize a third party library.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#aa0d76ee728e2e5fdd21b32120e32eddd">More...</a><br /></td></tr>
<tr class="separator:aa0d76ee728e2e5fdd21b32120e32eddd inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5c7f189a8ff4dccefb77f7b7ec0579d inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#ab5c7f189a8ff4dccefb77f7b7ec0579d">deInit</a> ()=0</td></tr>
<tr class="memdesc:ab5c7f189a8ff4dccefb77f7b7ec0579d inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method to de-initialize a third party library.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#ab5c7f189a8ff4dccefb77f7b7ec0579d">More...</a><br /></td></tr>
<tr class="separator:ab5c7f189a8ff4dccefb77f7b7ec0579d inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69991b29867885997270b900267cab0f inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#a69991b29867885997270b900267cab0f">handleLogin</a> (const std::string &amp;accessToken, const std::string &amp;userName, bool forceLogin, std::chrono::milliseconds tokenRefreshInterval)=0</td></tr>
<tr class="separator:a69991b29867885997270b900267cab0f inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31bc7db0692da87064f614786bb8611c inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#a31bc7db0692da87064f614786bb8611c">handleLogout</a> ()=0</td></tr>
<tr class="separator:a31bc7db0692da87064f614786bb8611c inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae01654499b03c31abef6b4652ea482d7 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#ae01654499b03c31abef6b4652ea482d7">handlePlay</a> (std::string &amp;playContextToken, int64_t index, std::chrono::milliseconds offset)=0</td></tr>
<tr class="separator:ae01654499b03c31abef6b4652ea482d7 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a054ba9797a4c9ea7f4b68d81d4eb7b inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#a1a054ba9797a4c9ea7f4b68d81d4eb7b">handlePlayControl</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfdd">RequestType</a> requestType)=0</td></tr>
<tr class="separator:a1a054ba9797a4c9ea7f4b68d81d4eb7b inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54a761e68258df8c8a23fa6ebe693e6f inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#a54a761e68258df8c8a23fa6ebe693e6f">handleSeek</a> (std::chrono::milliseconds offset)=0</td></tr>
<tr class="separator:a54a761e68258df8c8a23fa6ebe693e6f inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f1110867023fca9c2b4526ee5935625 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#a0f1110867023fca9c2b4526ee5935625">handleAdjustSeek</a> (std::chrono::milliseconds deltaOffset)=0</td></tr>
<tr class="separator:a0f1110867023fca9c2b4526ee5935625 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ad55b4251e0742a5c68f34fbf1342f0 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_state.html">AdapterState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#a1ad55b4251e0742a5c68f34fbf1342f0">getState</a> ()=0</td></tr>
<tr class="memdesc:a1ad55b4251e0742a5c68f34fbf1342f0 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method to fetch the state(session state and playback state) of an adapter.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#a1ad55b4251e0742a5c68f34fbf1342f0">More...</a><br /></td></tr>
<tr class="separator:a1ad55b4251e0742a5c68f34fbf1342f0 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td></tr>
<tr class="memitem:aae7174ed932ae1413460255238c4422b inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#aae7174ed932ae1413460255238c4422b">RequiresShutdown</a> (const std::string &amp;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a745cd4dc404db52f7d0afbf838454fac">name</a>)</td></tr>
<tr class="separator:aae7174ed932ae1413460255238c4422b inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a649b80d77e4e6f66e218ee3bfc71823b inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a649b80d77e4e6f66e218ee3bfc71823b">~RequiresShutdown</a> ()</td></tr>
<tr class="memdesc:a649b80d77e4e6f66e218ee3bfc71823b inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a649b80d77e4e6f66e218ee3bfc71823b">More...</a><br /></td></tr>
<tr class="separator:a649b80d77e4e6f66e218ee3bfc71823b inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a745cd4dc404db52f7d0afbf838454fac inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a745cd4dc404db52f7d0afbf838454fac">name</a> () const</td></tr>
<tr class="separator:a745cd4dc404db52f7d0afbf838454fac inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a350a147e52eb3ad3c1326e6639861066 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a350a147e52eb3ad3c1326e6639861066">shutdown</a> ()</td></tr>
<tr class="separator:a350a147e52eb3ad3c1326e6639861066 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9352626109735aba40b5fb310913355 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#af9352626109735aba40b5fb310913355">isShutdown</a> () const</td></tr>
<tr class="separator:af9352626109735aba40b5fb310913355 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a189c87f09f6e17f2bfc04fc3563aea7f"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html">avsCommon::sdkInterfaces::externalMediaPlayer::ExternalMediaAdapterInterface</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_mock_external_media_player_adapter.html#a189c87f09f6e17f2bfc04fc3563aea7f">getInstance</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html">avsCommon::utils::mediaPlayer::MediaPlayerInterface</a> &gt; mediaPlayer, std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html">avsCommon::sdkInterfaces::SpeakerInterface</a> &gt; speaker, std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_interface.html">avsCommon::sdkInterfaces::SpeakerManagerInterface</a> &gt; speakerManager, std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_sender_interface.html">avsCommon::sdkInterfaces::MessageSenderInterface</a> &gt; messageSender, std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_focus_manager_interface.html">avsCommon::sdkInterfaces::FocusManagerInterface</a> &gt; focusManager, std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_manager_interface.html">avsCommon::sdkInterfaces::ContextManagerInterface</a> &gt; contextManager, std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_external_media_player_interface.html">avsCommon::sdkInterfaces::ExternalMediaPlayerInterface</a> &gt; externalMediaPlayer)</td></tr>
<tr class="separator:a189c87f09f6e17f2bfc04fc3563aea7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a2a30bfcc2b26d4e1f79866a331768a58"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_mock_external_media_player_adapter.html">MockExternalMediaPlayerAdapter</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_mock_external_media_player_adapter.html#a2a30bfcc2b26d4e1f79866a331768a58">m_currentActiveMediaPlayerAdapter</a></td></tr>
<tr class="memdesc:a2a30bfcc2b26d4e1f79866a331768a58"><td class="mdescLeft">&#160;</td><td class="mdescRight">Static instance of MockMediaPlayerAdapter.  <a href="#a2a30bfcc2b26d4e1f79866a331768a58">More...</a><br /></td></tr>
<tr class="separator:a2a30bfcc2b26d4e1f79866a331768a58"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td></tr>
<tr class="memitem:a66df7916e28559f30233c2ff5a166293 inherit pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a66df7916e28559f30233c2ff5a166293">doShutdown</a> ()=0</td></tr>
<tr class="separator:a66df7916e28559f30233c2ff5a166293 inherit pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Mock class of ExternalMediaAdapterInterface. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a189c87f09f6e17f2bfc04fc3563aea7f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a189c87f09f6e17f2bfc04fc3563aea7f">&#9670;&nbsp;</a></span>getInstance()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html">avsCommon::sdkInterfaces::externalMediaPlayer::ExternalMediaAdapterInterface</a> &gt; alexaClientSDK::capabilityAgents::externalMediaPlayer::test::MockExternalMediaPlayerAdapter::getInstance </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html">avsCommon::utils::mediaPlayer::MediaPlayerInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>mediaPlayer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html">avsCommon::sdkInterfaces::SpeakerInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>speaker</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_interface.html">avsCommon::sdkInterfaces::SpeakerManagerInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>speakerManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_sender_interface.html">avsCommon::sdkInterfaces::MessageSenderInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>messageSender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_focus_manager_interface.html">avsCommon::sdkInterfaces::FocusManagerInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>focusManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_manager_interface.html">avsCommon::sdkInterfaces::ContextManagerInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>contextManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_external_media_player_interface.html">avsCommon::sdkInterfaces::ExternalMediaPlayerInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>externalMediaPlayer</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a81ebd8b0b6c08f10a228e86e0a80c4b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a81ebd8b0b6c08f10a228e86e0a80c4b7">&#9670;&nbsp;</a></span>MOCK_METHOD0() <span class="overload">[1/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::externalMediaPlayer::test::MockExternalMediaPlayerAdapter::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a66df7916e28559f30233c2ff5a166293">doShutdown</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3705e0975bf6573426c630bca1c7f5fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3705e0975bf6573426c630bca1c7f5fd">&#9670;&nbsp;</a></span>MOCK_METHOD0() <span class="overload">[2/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::externalMediaPlayer::test::MockExternalMediaPlayerAdapter::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#aa0d76ee728e2e5fdd21b32120e32eddd">init</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac36c9d4e973e8b7956e5a363eaf82156"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac36c9d4e973e8b7956e5a363eaf82156">&#9670;&nbsp;</a></span>MOCK_METHOD0() <span class="overload">[3/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::externalMediaPlayer::test::MockExternalMediaPlayerAdapter::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#ab5c7f189a8ff4dccefb77f7b7ec0579d">deInit</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a068f2b3f7ddd6d85720e5b137ce1a3c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a068f2b3f7ddd6d85720e5b137ce1a3c4">&#9670;&nbsp;</a></span>MOCK_METHOD0() <span class="overload">[4/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::externalMediaPlayer::test::MockExternalMediaPlayerAdapter::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#a31bc7db0692da87064f614786bb8611c">handleLogout</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="addf10d60e17d805da5c9809845f30aa1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#addf10d60e17d805da5c9809845f30aa1">&#9670;&nbsp;</a></span>MOCK_METHOD0() <span class="overload">[5/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::externalMediaPlayer::test::MockExternalMediaPlayerAdapter::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#a1ad55b4251e0742a5c68f34fbf1342f0">getState</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_state.html">AdapterState</a>()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a32c0b3443dd730928fc2b016c74080c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32c0b3443dd730928fc2b016c74080c6">&#9670;&nbsp;</a></span>MOCK_METHOD1() <span class="overload">[1/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::externalMediaPlayer::test::MockExternalMediaPlayerAdapter::MOCK_METHOD1 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#a1a054ba9797a4c9ea7f4b68d81d4eb7b">handlePlayControl</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void(<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a3ef9db230cc2a852c0dca2669733cfdd">RequestType</a> requestType)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a86cd5acc154b4b45a902f8742b4722ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86cd5acc154b4b45a902f8742b4722ab">&#9670;&nbsp;</a></span>MOCK_METHOD1() <span class="overload">[2/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::externalMediaPlayer::test::MockExternalMediaPlayerAdapter::MOCK_METHOD1 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#a54a761e68258df8c8a23fa6ebe693e6f">handleSeek</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void(std::chrono::milliseconds offset)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a57635d086bdf27de181a809d3b45d79f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57635d086bdf27de181a809d3b45d79f">&#9670;&nbsp;</a></span>MOCK_METHOD1() <span class="overload">[3/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::externalMediaPlayer::test::MockExternalMediaPlayerAdapter::MOCK_METHOD1 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#a0f1110867023fca9c2b4526ee5935625">handleAdjustSeek</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void(std::chrono::milliseconds deltaOffset)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5a9b3f9426293264c0321d28fc294e95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a9b3f9426293264c0321d28fc294e95">&#9670;&nbsp;</a></span>MOCK_METHOD1() <span class="overload">[4/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::externalMediaPlayer::test::MockExternalMediaPlayerAdapter::MOCK_METHOD1 </td>
          <td>(</td>
          <td class="paramtype">handleSetVolume&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void(int8_t volume)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a301db6cbe9d31b0ff142cc227bd94fc5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a301db6cbe9d31b0ff142cc227bd94fc5">&#9670;&nbsp;</a></span>MOCK_METHOD1() <span class="overload">[5/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::externalMediaPlayer::test::MockExternalMediaPlayerAdapter::MOCK_METHOD1 </td>
          <td>(</td>
          <td class="paramtype">handleSetMute&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void(bool)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a835ece139dc9448a91c53c0f77ec38d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a835ece139dc9448a91c53c0f77ec38d6">&#9670;&nbsp;</a></span>MOCK_METHOD3()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::externalMediaPlayer::test::MockExternalMediaPlayerAdapter::MOCK_METHOD3 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#ae01654499b03c31abef6b4652ea482d7">handlePlay</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void(std::string &amp;playContextToken, int64_t index, std::chrono::milliseconds offset)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a15fbf9e4d13774c73dd59e302c5c16ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15fbf9e4d13774c73dd59e302c5c16ca">&#9670;&nbsp;</a></span>MOCK_METHOD4()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::externalMediaPlayer::test::MockExternalMediaPlayerAdapter::MOCK_METHOD4 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#a69991b29867885997270b900267cab0f">handleLogin</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void(const std::string &amp;accessToken, const std::string &amp;userName, bool forceLogin, std::chrono::milliseconds tokenRefreshInterval)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a2a30bfcc2b26d4e1f79866a331768a58"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a30bfcc2b26d4e1f79866a331768a58">&#9670;&nbsp;</a></span>m_currentActiveMediaPlayerAdapter</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test_1_1_mock_external_media_player_adapter.html">MockExternalMediaPlayerAdapter</a> &gt; alexaClientSDK::capabilityAgents::externalMediaPlayer::test::MockExternalMediaPlayerAdapter::m_currentActiveMediaPlayerAdapter</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Static instance of MockMediaPlayerAdapter. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/CapabilityAgents/ExternalMediaPlayer/test/<a class="el" href="_external_media_player_test_8cpp.html">ExternalMediaPlayerTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
